<?php

function isset_recaptcha()
{
    $recaptcha_siteKey = Configure::read('Option.recaptcha_siteKey');
    $recaptcha_secretKey = Configure::read('Option.recaptcha_secretKey');
    if (!empty($recaptcha_siteKey) && !empty($recaptcha_secretKey)) {
        return true;
    }
    return false;
}

// http://stackoverflow.com/a/4371114
function custom_number_format($n, $precision = 0)
{
    if ($n < 1000000) {
        // Anything less than a million
        $n_format = number_format($n);
    } elseif ($n < 1000000000) {
        // Anything less than a billion
        $n_format = number_format($n / 1000000, $precision) . 'M';
    } else {
        // At least a billion
        $n_format = number_format($n / 1000000000, $precision) . 'B';
    }
    return $n_format;
}

/**
 * Generate random IP address
 * @return string Random IP address
 */
function random_ipv4()
{
    // http://stackoverflow.com/a/10268612
    //return mt_rand(0,255).".".mt_rand(0,255).".".mt_rand(0,255).".".mt_rand(0,255);
    // // http://board.phpbuilder.com/showthread.php?10346623-Generating-a-random-IP-Address&p=10830872&viewfull=1#post10830872
    return long2ip(rand(0, 255 * 255) * rand(0, 255 * 255));
}

/**
 * Gell all languages
 * @return array
 */
function get_languages()
{
    $languages = glob(APP . 'Locale' . DS . '*', GLOB_ONLYDIR);
    $langs     = array();
    foreach ($languages as $language) {
        $lang_name = basename($language);
        if ($lang_name == 'LC_TIME') {
            continue;
        }
        $langs[ $lang_name ] = $lang_name;
    }
    return $langs;
}

/**
 * Get client IP address
 * @return string IP address
 */
function get_ip()
{
    //$ip = random_ipv4();
    if (isset($_SERVER[ "HTTP_CF_CONNECTING_IP" ])) {
        $ip = $_SERVER[ "HTTP_CF_CONNECTING_IP" ];
    } else {
        $ip = env('REMOTE_ADDR');
    }

    return $ip;
}

/**
 * Get continent name from country code
 * http://snipplr.com/view/36870/
 * @param string $country code
 * @return string continent name
 */
function country_to_continent($country)
{

    switch ($country) {
        case 'AF':
            $continent = 'Asia';
            break;
        case 'AX':
            $continent = 'Europe';
            break;
        case 'AL':
            $continent = 'Europe';
            break;
        case 'DZ':
            $continent = 'Africa';
            break;
        case 'AS':
            $continent = 'Oceania';
            break;
        case 'AD':
            $continent = 'Europe';
            break;
        case 'AO':
            $continent = 'Africa';
            break;
        case 'AI':
            $continent = 'North America';
            break;

        default:
            $continent = '-';
    }


    if ($country == 'AQ') {
        $continent = 'Antarctica';
    }
    if ($country == 'AG') {
        $continent = 'North America';
    }
    if ($country == 'AR') {
        $continent = 'South America';
    }
    if ($country == 'AM') {
        $continent = 'Asia';
    }
    if ($country == 'AW') {
        $continent = 'North America';
    }
    if ($country == 'AU') {
        $continent = 'Oceania';
    }
    if ($country == 'AT') {
        $continent = 'Europe';
    }
    if ($country == 'AZ') {
        $continent = 'Asia';
    }
    if ($country == 'BS') {
        $continent = 'North America';
    }
    if ($country == 'BH') {
        $continent = 'Asia';
    }
    if ($country == 'BD') {
        $continent = 'Asia';
    }
    if ($country == 'BB') {
        $continent = 'North America';
    }
    if ($country == 'BY') {
        $continent = 'Europe';
    }
    if ($country == 'BE') {
        $continent = 'Europe';
    }
    if ($country == 'BZ') {
        $continent = 'North America';
    }
    if ($country == 'BJ') {
        $continent = 'Africa';
    }
    if ($country == 'BM') {
        $continent = 'North America';
    }
    if ($country == 'BT') {
        $continent = 'Asia';
    }
    if ($country == 'BO') {
        $continent = 'South America';
    }
    if ($country == 'BA') {
        $continent = 'Europe';
    }
    if ($country == 'BW') {
        $continent = 'Africa';
    }
    if ($country == 'BV') {
        $continent = 'Antarctica';
    }
    if ($country == 'BR') {
        $continent = 'South America';
    }
    if ($country == 'IO') {
        $continent = 'Asia';
    }
    if ($country == 'VG') {
        $continent = 'North America';
    }
    if ($country == 'BN') {
        $continent = 'Asia';
    }
    if ($country == 'BG') {
        $continent = 'Europe';
    }
    if ($country == 'BF') {
        $continent = 'Africa';
    }
    if ($country == 'BI') {
        $continent = 'Africa';
    }
    if ($country == 'KH') {
        $continent = 'Asia';
    }
    if ($country == 'CM') {
        $continent = 'Africa';
    }
    if ($country == 'CA') {
        $continent = 'North America';
    }
    if ($country == 'CV') {
        $continent = 'Africa';
    }
    if ($country == 'KY') {
        $continent = 'North America';
    }
    if ($country == 'CF') {
        $continent = 'Africa';
    }
    if ($country == 'TD') {
        $continent = 'Africa';
    }
    if ($country == 'CL') {
        $continent = 'South America';
    }
    if ($country == 'CN') {
        $continent = 'Asia';
    }
    if ($country == 'CX') {
        $continent = 'Asia';
    }
    if ($country == 'CC') {
        $continent = 'Asia';
    }
    if ($country == 'CO') {
        $continent = 'South America';
    }
    if ($country == 'KM') {
        $continent = 'Africa';
    }
    if ($country == 'CD') {
        $continent = 'Africa';
    }
    if ($country == 'CG') {
        $continent = 'Africa';
    }
    if ($country == 'CK') {
        $continent = 'Oceania';
    }
    if ($country == 'CR') {
        $continent = 'North America';
    }
    if ($country == 'CI') {
        $continent = 'Africa';
    }
    if ($country == 'HR') {
        $continent = 'Europe';
    }
    if ($country == 'CU') {
        $continent = 'North America';
    }
    if ($country == 'CY') {
        $continent = 'Asia';
    }
    if ($country == 'CZ') {
        $continent = 'Europe';
    }
    if ($country == 'DK') {
        $continent = 'Europe';
    }
    if ($country == 'DJ') {
        $continent = 'Africa';
    }
    if ($country == 'DM') {
        $continent = 'North America';
    }
    if ($country == 'DO') {
        $continent = 'North America';
    }
    if ($country == 'EC') {
        $continent = 'South America';
    }
    if ($country == 'EG') {
        $continent = 'Africa';
    }
    if ($country == 'SV') {
        $continent = 'North America';
    }
    if ($country == 'GQ') {
        $continent = 'Africa';
    }
    if ($country == 'ER') {
        $continent = 'Africa';
    }
    if ($country == 'EE') {
        $continent = 'Europe';
    }
    if ($country == 'ET') {
        $continent = 'Africa';
    }
    if ($country == 'FO') {
        $continent = 'Europe';
    }
    if ($country == 'FK') {
        $continent = 'South America';
    }
    if ($country == 'FJ') {
        $continent = 'Oceania';
    }
    if ($country == 'FI') {
        $continent = 'Europe';
    }
    if ($country == 'FR') {
        $continent = 'Europe';
    }
    if ($country == 'GF') {
        $continent = 'South America';
    }
    if ($country == 'PF') {
        $continent = 'Oceania';
    }
    if ($country == 'TF') {
        $continent = 'Antarctica';
    }
    if ($country == 'GA') {
        $continent = 'Africa';
    }
    if ($country == 'GM') {
        $continent = 'Africa';
    }
    if ($country == 'GE') {
        $continent = 'Asia';
    }
    if ($country == 'DE') {
        $continent = 'Europe';
    }
    if ($country == 'GH') {
        $continent = 'Africa';
    }
    if ($country == 'GI') {
        $continent = 'Europe';
    }
    if ($country == 'GR') {
        $continent = 'Europe';
    }
    if ($country == 'GL') {
        $continent = 'North America';
    }
    if ($country == 'GD') {
        $continent = 'North America';
    }
    if ($country == 'GP') {
        $continent = 'North America';
    }
    if ($country == 'GU') {
        $continent = 'Oceania';
    }
    if ($country == 'GT') {
        $continent = 'North America';
    }
    if ($country == 'GG') {
        $continent = 'Europe';
    }
    if ($country == 'GN') {
        $continent = 'Africa';
    }
    if ($country == 'GW') {
        $continent = 'Africa';
    }
    if ($country == 'GY') {
        $continent = 'South America';
    }
    if ($country == 'HT') {
        $continent = 'North America';
    }
    if ($country == 'HM') {
        $continent = 'Antarctica';
    }
    if ($country == 'VA') {
        $continent = 'Europe';
    }
    if ($country == 'HN') {
        $continent = 'North America';
    }
    if ($country == 'HK') {
        $continent = 'Asia';
    }
    if ($country == 'HU') {
        $continent = 'Europe';
    }
    if ($country == 'IS') {
        $continent = 'Europe';
    }
    if ($country == 'IN') {
        $continent = 'Asia';
    }
    if ($country == 'ID') {
        $continent = 'Asia';
    }
    if ($country == 'IR') {
        $continent = 'Asia';
    }
    if ($country == 'IQ') {
        $continent = 'Asia';
    }
    if ($country == 'IE') {
        $continent = 'Europe';
    }
    if ($country == 'IM') {
        $continent = 'Europe';
    }
    if ($country == 'IL') {
        $continent = 'Asia';
    }
    if ($country == 'IT') {
        $continent = 'Europe';
    }
    if ($country == 'JM') {
        $continent = 'North America';
    }
    if ($country == 'JP') {
        $continent = 'Asia';
    }
    if ($country == 'JE') {
        $continent = 'Europe';
    }
    if ($country == 'JO') {
        $continent = 'Asia';
    }
    if ($country == 'KZ') {
        $continent = 'Asia';
    }
    if ($country == 'KE') {
        $continent = 'Africa';
    }
    if ($country == 'KI') {
        $continent = 'Oceania';
    }
    if ($country == 'KP') {
        $continent = 'Asia';
    }
    if ($country == 'KR') {
        $continent = 'Asia';
    }
    if ($country == 'KW') {
        $continent = 'Asia';
    }
    if ($country == 'KG') {
        $continent = 'Asia';
    }
    if ($country == 'LA') {
        $continent = 'Asia';
    }
    if ($country == 'LV') {
        $continent = 'Europe';
    }
    if ($country == 'LB') {
        $continent = 'Asia';
    }
    if ($country == 'LS') {
        $continent = 'Africa';
    }
    if ($country == 'LR') {
        $continent = 'Africa';
    }
    if ($country == 'LY') {
        $continent = 'Africa';
    }
    if ($country == 'LI') {
        $continent = 'Europe';
    }
    if ($country == 'LT') {
        $continent = 'Europe';
    }
    if ($country == 'LU') {
        $continent = 'Europe';
    }
    if ($country == 'MO') {
        $continent = 'Asia';
    }
    if ($country == 'MK') {
        $continent = 'Europe';
    }
    if ($country == 'MG') {
        $continent = 'Africa';
    }
    if ($country == 'MW') {
        $continent = 'Africa';
    }
    if ($country == 'MY') {
        $continent = 'Asia';
    }
    if ($country == 'MV') {
        $continent = 'Asia';
    }
    if ($country == 'ML') {
        $continent = 'Africa';
    }
    if ($country == 'MT') {
        $continent = 'Europe';
    }
    if ($country == 'MH') {
        $continent = 'Oceania';
    }
    if ($country == 'MQ') {
        $continent = 'North America';
    }
    if ($country == 'MR') {
        $continent = 'Africa';
    }
    if ($country == 'MU') {
        $continent = 'Africa';
    }
    if ($country == 'YT') {
        $continent = 'Africa';
    }
    if ($country == 'MX') {
        $continent = 'North America';
    }
    if ($country == 'FM') {
        $continent = 'Oceania';
    }
    if ($country == 'MD') {
        $continent = 'Europe';
    }
    if ($country == 'MC') {
        $continent = 'Europe';
    }
    if ($country == 'MN') {
        $continent = 'Asia';
    }
    if ($country == 'ME') {
        $continent = 'Europe';
    }
    if ($country == 'MS') {
        $continent = 'North America';
    }
    if ($country == 'MA') {
        $continent = 'Africa';
    }
    if ($country == 'MZ') {
        $continent = 'Africa';
    }
    if ($country == 'MM') {
        $continent = 'Asia';
    }
    if ($country == 'NA') {
        $continent = 'Africa';
    }
    if ($country == 'NR') {
        $continent = 'Oceania';
    }
    if ($country == 'NP') {
        $continent = 'Asia';
    }
    if ($country == 'AN') {
        $continent = 'North America';
    }
    if ($country == 'NL') {
        $continent = 'Europe';
    }
    if ($country == 'NC') {
        $continent = 'Oceania';
    }
    if ($country == 'NZ') {
        $continent = 'Oceania';
    }
    if ($country == 'NI') {
        $continent = 'North America';
    }
    if ($country == 'NE') {
        $continent = 'Africa';
    }
    if ($country == 'NG') {
        $continent = 'Africa';
    }
    if ($country == 'NU') {
        $continent = 'Oceania';
    }
    if ($country == 'NF') {
        $continent = 'Oceania';
    }
    if ($country == 'MP') {
        $continent = 'Oceania';
    }
    if ($country == 'NO') {
        $continent = 'Europe';
    }
    if ($country == 'OM') {
        $continent = 'Asia';
    }
    if ($country == 'PK') {
        $continent = 'Asia';
    }
    if ($country == 'PW') {
        $continent = 'Oceania';
    }
    if ($country == 'PS') {
        $continent = 'Asia';
    }
    if ($country == 'PA') {
        $continent = 'North America';
    }
    if ($country == 'PG') {
        $continent = 'Oceania';
    }
    if ($country == 'PY') {
        $continent = 'South America';
    }
    if ($country == 'PE') {
        $continent = 'South America';
    }
    if ($country == 'PH') {
        $continent = 'Asia';
    }
    if ($country == 'PN') {
        $continent = 'Oceania';
    }
    if ($country == 'PL') {
        $continent = 'Europe';
    }
    if ($country == 'PT') {
        $continent = 'Europe';
    }
    if ($country == 'PR') {
        $continent = 'North America';
    }
    if ($country == 'QA') {
        $continent = 'Asia';
    }
    if ($country == 'RE') {
        $continent = 'Africa';
    }
    if ($country == 'RO') {
        $continent = 'Europe';
    }
    if ($country == 'RU') {
        $continent = 'Europe';
    }
    if ($country == 'RW') {
        $continent = 'Africa';
    }
    if ($country == 'BL') {
        $continent = 'North America';
    }
    if ($country == 'SH') {
        $continent = 'Africa';
    }
    if ($country == 'KN') {
        $continent = 'North America';
    }
    if ($country == 'LC') {
        $continent = 'North America';
    }
    if ($country == 'MF') {
        $continent = 'North America';
    }
    if ($country == 'PM') {
        $continent = 'North America';
    }
    if ($country == 'VC') {
        $continent = 'North America';
    }
    if ($country == 'WS') {
        $continent = 'Oceania';
    }
    if ($country == 'SM') {
        $continent = 'Europe';
    }
    if ($country == 'ST') {
        $continent = 'Africa';
    }
    if ($country == 'SA') {
        $continent = 'Asia';
    }
    if ($country == 'SN') {
        $continent = 'Africa';
    }
    if ($country == 'RS') {
        $continent = 'Europe';
    }
    if ($country == 'SC') {
        $continent = 'Africa';
    }
    if ($country == 'SL') {
        $continent = 'Africa';
    }
    if ($country == 'SG') {
        $continent = 'Asia';
    }
    if ($country == 'SK') {
        $continent = 'Europe';
    }
    if ($country == 'SI') {
        $continent = 'Europe';
    }
    if ($country == 'SB') {
        $continent = 'Oceania';
    }
    if ($country == 'SO') {
        $continent = 'Africa';
    }
    if ($country == 'ZA') {
        $continent = 'Africa';
    }
    if ($country == 'GS') {
        $continent = 'Antarctica';
    }
    if ($country == 'ES') {
        $continent = 'Europe';
    }
    if ($country == 'LK') {
        $continent = 'Asia';
    }
    if ($country == 'SD') {
        $continent = 'Africa';
    }
    if ($country == 'SR') {
        $continent = 'South America';
    }
    if ($country == 'SJ') {
        $continent = 'Europe';
    }
    if ($country == 'SZ') {
        $continent = 'Africa';
    }
    if ($country == 'SE') {
        $continent = 'Europe';
    }
    if ($country == 'CH') {
        $continent = 'Europe';
    }
    if ($country == 'SY') {
        $continent = 'Asia';
    }
    if ($country == 'TW') {
        $continent = 'Asia';
    }
    if ($country == 'TJ') {
        $continent = 'Asia';
    }
    if ($country == 'TZ') {
        $continent = 'Africa';
    }
    if ($country == 'TH') {
        $continent = 'Asia';
    }
    if ($country == 'TL') {
        $continent = 'Asia';
    }
    if ($country == 'TG') {
        $continent = 'Africa';
    }
    if ($country == 'TK') {
        $continent = 'Oceania';
    }
    if ($country == 'TO') {
        $continent = 'Oceania';
    }
    if ($country == 'TT') {
        $continent = 'North America';
    }
    if ($country == 'TN') {
        $continent = 'Africa';
    }
    if ($country == 'TR') {
        $continent = 'Asia';
    }
    if ($country == 'TM') {
        $continent = 'Asia';
    }
    if ($country == 'TC') {
        $continent = 'North America';
    }
    if ($country == 'TV') {
        $continent = 'Oceania';
    }
    if ($country == 'UG') {
        $continent = 'Africa';
    }
    if ($country == 'UA') {
        $continent = 'Europe';
    }
    if ($country == 'AE') {
        $continent = 'Asia';
    }
    if ($country == 'GB') {
        $continent = 'Europe';
    }
    if ($country == 'US') {
        $continent = 'North America';
    }
    if ($country == 'UM') {
        $continent = 'Oceania';
    }
    if ($country == 'VI') {
        $continent = 'North America';
    }
    if ($country == 'UY') {
        $continent = 'South America';
    }
    if ($country == 'UZ') {
        $continent = 'Asia';
    }
    if ($country == 'VU') {
        $continent = 'Oceania';
    }
    if ($country == 'VE') {
        $continent = 'South America';
    }
    if ($country == 'VN') {
        $continent = 'Asia';
    }
    if ($country == 'WF') {
        $continent = 'Oceania';
    }
    if ($country == 'EH') {
        $continent = 'Africa';
    }
    if ($country == 'YE') {
        $continent = 'Asia';
    }
    if ($country == 'ZM') {
        $continent = 'Africa';
    }
    if ($country == 'ZW') {
        $continent = 'Africa';
    }
    return $continent;
}

function get_countries()
{
    return array( 'AF' => 'Afganistan', 'AL' => 'Albania', 'DZ' => 'Algeria', 'AS' => 'American Samoa', 'AD' => 'Andorra', 'AO' => 'Angola', 'AI' => 'Anguilla', 'AQ' => 'Antarctica', 'AG' => 'Antigua and Barbuda', 'AR' => 'Argentina', 'AM' => 'Armenia', 'AW' => 'Aruba', 'AU' => 'Australia', 'AT' => 'Austria', 'AZ' => 'Azerbaijan', 'BS' => 'Bahamas', 'BH' => 'Bahrain', 'BD' => 'Bangladesh', 'BB' => 'Barbados', 'BY' => 'Belarus', 'BE' => 'Belgium', 'BZ' => 'Belize', 'BJ' => 'Benin', 'BM' => 'Bermuda', 'BT' => 'Bhutan', 'BO' => 'Bolivia', 'BA' => 'Bosnia and Herzegowina', 'BW' => 'Botswana', 'BV' => 'Bouvet Island', 'BR' => 'Brazil', 'IO' => 'British Indian Ocean Territory', 'BN' => 'Brunei Darussalam', 'BG' => 'Bulgaria', 'BF' => 'Burkina Faso', 'BI' => 'Burundi', 'KH' => 'Cambodia', 'CM' => 'Cameroon', 'CA' => 'Canada', 'CV' => 'Cape Verde', 'KY' => 'Cayman Islands', 'CF' => 'Central African Republic', 'TD' => 'Chad', 'CL' => 'Chile', 'CN' => 'China', 'CX' => 'Christmas Island', 'CC' => 'Cocos (Keeling) Islands', 'CO' => 'Colombia', 'KM' => 'Comoros', 'CG' => 'Congo', 'CD' => 'Congo, the Democratic Republic of the', 'CK' => 'Cook Islands', 'CR' => 'Costa Rica', 'CI' => 'Cote d\'Ivoire', 'HR' => 'Croatia (Hrvatska)', 'CU' => 'Cuba', 'CY' => 'Cyprus', 'CZ' => 'Czech Republic', 'DK' => 'Denmark', 'DJ' => 'Djibouti', 'DM' => 'Dominica', 'DO' => 'Dominican Republic', 'TP' => 'East Timor', 'EC' => 'Ecuador', 'EG' => 'Egypt', 'SV' => 'El Salvador', 'GQ' => 'Equatorial Guinea', 'ER' => 'Eritrea', 'EE' => 'Estonia', 'ET' => 'Ethiopia', 'FK' => 'Falkland Islands (Malvinas)', 'FO' => 'Faroe Islands', 'FJ' => 'Fiji', 'FI' => 'Finland', 'FR' => 'France', 'FX' => 'France, Metropolitan', 'GF' => 'French Guiana', 'PF' => 'French Polynesia', 'TF' => 'French Southern Territories', 'GA' => 'Gabon', 'GM' => 'Gambia', 'GE' => 'Georgia', 'DE' => 'Germany', 'GH' => 'Ghana', 'GI' => 'Gibraltar', 'GR' => 'Greece', 'GL' => 'Greenland', 'GD' => 'Grenada', 'GP' => 'Guadeloupe', 'GU' => 'Guam', 'GT' => 'Guatemala', 'GN' => 'Guinea', 'GW' => 'Guinea-Bissau', 'GY' => 'Guyana', 'HT' => 'Haiti', 'HM' => 'Heard and Mc Donald Islands', 'VA' => 'Holy See (Vatican City State)', 'HN' => 'Honduras', 'HK' => 'Hong Kong', 'HU' => 'Hungary', 'IS' => 'Iceland', 'IN' => 'India', 'ID' => 'Indonesia', 'IR' => 'Iran (Islamic Republic of)', 'IQ' => 'Iraq', 'IE' => 'Ireland', 'IL' => 'Israel', 'IT' => 'Italy', 'JM' => 'Jamaica', 'JP' => 'Japan', 'JO' => 'Jordan', 'KZ' => 'Kazakhstan', 'KE' => 'Kenya', 'KI' => 'Kiribati', 'KP' => 'Korea, Democratic People\'s Republic of', 'KR' => 'Korea, Republic of', 'KW' => 'Kuwait', 'KG' => 'Kyrgyzstan', 'LA' => 'Lao People\'s Democratic Republic', 'LV' => 'Latvia', 'LB' => 'Lebanon', 'LS' => 'Lesotho', 'LR' => 'Liberia', 'LY' => 'Libyan Arab Jamahiriya', 'LI' => 'Liechtenstein', 'LT' => 'Lithuania', 'LU' => 'Luxembourg', 'MO' => 'Macau', 'MK' => 'Macedonia, The Former Yugoslav Republic of', 'MG' => 'Madagascar', 'MW' => 'Malawi', 'MY' => 'Malaysia', 'MV' => 'Maldives', 'ML' => 'Mali', 'MT' => 'Malta', 'MH' => 'Marshall Islands', 'MQ' => 'Martinique', 'MR' => 'Mauritania', 'MU' => 'Mauritius', 'YT' => 'Mayotte', 'MX' => 'Mexico', 'FM' => 'Micronesia, Federated States of', 'MD' => 'Moldova, Republic of', 'MC' => 'Monaco', 'MN' => 'Mongolia', 'MS' => 'Montserrat', 'MA' => 'Morocco', 'MZ' => 'Mozambique', 'MM' => 'Myanmar', 'NA' => 'Namibia', 'NR' => 'Nauru', 'NP' => 'Nepal', 'NL' => 'Netherlands', 'AN' => 'Netherlands Antilles', 'NC' => 'New Caledonia', 'NZ' => 'New Zealand', 'NI' => 'Nicaragua', 'NE' => 'Niger', 'NG' => 'Nigeria', 'NU' => 'Niue', 'NF' => 'Norfolk Island', 'MP' => 'Northern Mariana Islands', 'NO' => 'Norway', 'OM' => 'Oman', 'PK' => 'Pakistan', 'PW' => 'Palau', 'PA' => 'Panama', 'PG' => 'Papua New Guinea', 'PY' => 'Paraguay', 'PE' => 'Peru', 'PH' => 'Philippines', 'PN' => 'Pitcairn', 'PL' => 'Poland', 'PT' => 'Portugal', 'PR' => 'Puerto Rico', 'QA' => 'Qatar', 'RE' => 'Reunion', 'RO' => 'Romania', 'RU' => 'Russian Federation', 'RW' => 'Rwanda', 'KN' => 'Saint Kitts and Nevis', 'LC' => 'Saint LUCIA', 'VC' => 'Saint Vincent and the Grenadines', 'WS' => 'Samoa', 'SM' => 'San Marino', 'ST' => 'Sao Tome and Principe', 'SA' => 'Saudi Arabia', 'SN' => 'Senegal', 'SC' => 'Seychelles', 'SL' => 'Sierra Leone', 'SG' => 'Singapore', 'SK' => 'Slovakia (Slovak Republic)', 'SI' => 'Slovenia', 'SB' => 'Solomon Islands', 'SO' => 'Somalia', 'ZA' => 'South Africa', 'GS' => 'South Georgia and the South Sandwich Islands', 'ES' => 'Spain', 'LK' => 'Sri Lanka', 'SH' => 'St. Helena', 'PM' => 'St. Pierre and Miquelon', 'SD' => 'Sudan', 'SR' => 'Suriname', 'SJ' => 'Svalbard and Jan Mayen Islands', 'SZ' => 'Swaziland', 'SE' => 'Sweden', 'CH' => 'Switzerland', 'SY' => 'Syrian Arab Republic', 'TW' => 'Taiwan, Province of China', 'TJ' => 'Tajikistan', 'TZ' => 'Tanzania, United Republic of', 'TH' => 'Thailand', 'TG' => 'Togo', 'TK' => 'Tokelau', 'TO' => 'Tonga', 'TT' => 'Trinidad and Tobago', 'TN' => 'Tunisia', 'TR' => 'Turkey', 'TM' => 'Turkmenistan', 'TC' => 'Turks and Caicos Islands', 'TV' => 'Tuvalu', 'UG' => 'Uganda', 'UA' => 'Ukraine', 'AE' => 'United Arab Emirates', 'GB' => 'United Kingdom', 'US' => 'United States', 'UM' => 'United States Minor Outlying Islands', 'UY' => 'Uruguay', 'UZ' => 'Uzbekistan', 'VU' => 'Vanuatu', 'VE' => 'Venezuela', 'VN' => 'Viet Nam', 'VG' => 'Virgin Islands (British)', 'VI' => 'Virgin Islands (U.S.)', 'WF' => 'Wallis and Futuna Islands', 'EH' => 'Western Sahara', 'YE' => 'Yemen', 'YU' => 'Yugoslavia', 'ZM' => 'Zambia', 'ZW' => 'Zimbabwe' );
}
