<?php
echo $this->Form->create('Plan', array(
    'inputDefaults' => array(
        'label' => false,
        'div'   => false,
        'class' => 'form-control',
        'error' => array(
            'attributes' => array( 'wrap' => 'span', 'class' => 'help-block' )
        ),
    //'autocomplete' => 'off'
    )
));
?>

<h3>Add a New Plan</h3>

<div class="form-group <?php echo($this->Form->isFieldError('title') ? 'has-error' : ''); ?>">
    <label for="PlanTitle" class="control-label">Title</label>
    <div class="input-group">
        <div class="input-group-addon"><i class="fa fa-font"></i></div>
        <?php
        echo $this->Form->input('title', array( 'placeholder' => 'Title' ));
        ?>
    </div>
</div>

<div class="row">
    <div class="col-sm-6">
        <div class="form-group <?php echo($this->Form->isFieldError('enable') ? 'has-error' : ''); ?>">
            <h4 class="h4">Enable</h4>
            <?php
            echo $this->Form->checkbox('enable', array(
                'options' => array( '0' => 'No', '1' => 'Yes' )
            ));
            ?>
        </div>

        <div class="form-group <?php echo($this->Form->isFieldError('stats') ? 'has-error' : ''); ?>">
            <h4 class="h4">Stats</h4>
            <?php
            echo $this->Form->input('stats', array(
                'options' => array( '0' => 'Disable', '1' => 'Simple', '2' => 'Advanced' )
            ));
            ?>
        </div>

        <div class="form-group <?php echo($this->Form->isFieldError('timer') ? 'has-error' : ''); ?>">
            <h4 class="h4">Timer</h4>
            <?php
            echo $this->Form->checkbox('timer', array(
                'options' => array( '0' => 'No', '1' => 'Yes' )
            ));
            ?>
        </div>

        <div class="form-group <?php echo($this->Form->isFieldError('sharing') ? 'has-error' : ''); ?>">
            <h4 class="h4">Sharing</h4>
            <?php
            echo $this->Form->checkbox('sharing', array(
                'options' => array( '0' => 'No', '1' => 'Yes' )
            ));
            ?>
        </div>

        <div class="form-group <?php echo($this->Form->isFieldError('ads_area1') ? 'has-error' : ''); ?>">
            <h4 class="h4">Ads Area 1</h4>
            <?php
            echo $this->Form->checkbox('ads_area1', array(
                'options' => array( '0' => 'No', '1' => 'Yes' )
            ));
            ?>
        </div>
    </div>

    <div class="col-sm-6">
        <div class="form-group <?php echo($this->Form->isFieldError('redirections') ? 'has-error' : ''); ?>">
            <h4 class="h4">Redirections Types</h4>
            <?php
            $redirects_options = array(
                '1' => 'Direct',
                '2' => 'Counter Page'
            );
            echo $this->Form->input('redirections', array( 'options' => $redirects_options, 'multiple' => true ));
            ?>
        </div>

        <div class="form-group <?php echo($this->Form->isFieldError('api') ? 'has-error' : ''); ?>">
            <h4 class="h4">Api</h4>
            <?php
            echo $this->Form->checkbox('api', array(
                'options' => array( '0' => 'No', '1' => 'Yes' )
            ));
            ?>
        </div>

        <div class="form-group <?php echo($this->Form->isFieldError('comments') ? 'has-error' : ''); ?>">
            <h4 class="h4">Comments</h4>
            <?php
            echo $this->Form->checkbox('comments', array(
                'options' => array( '0' => 'No', '1' => 'Yes' )
            ));
            ?>
        </div>
        <div class="form-group <?php echo($this->Form->isFieldError('feed') ? 'has-error' : ''); ?>">
            <h4 class="h4">Feed</h4>
            <?php
            echo $this->Form->checkbox('feed', array(
                'options' => array( '0' => 'No', '1' => 'Yes' )
            ));
            ?>
        </div>

        <div class="form-group <?php echo($this->Form->isFieldError('ads_area2') ? 'has-error' : ''); ?>">
            <h4 class="h4">Ads Area 2</h4>
            <?php
            echo $this->Form->checkbox('ads_area2', array(
                'options' => array( '0' => 'No', '1' => 'Yes' )
            ));
            ?>
        </div>
    </div>
</div>

<?php echo $this->Form->input('id', array( 'type' => 'hidden' )); ?>
<?php echo $this->Form->end(array( 'label' => 'Submit', 'class' => 'btn btn-primary btn-lg pull-right' )); ?>
